<?xml version="1.0" encoding="utf-8"?>
<openerp>
    <data>
        <record model="ir.ui.view" id="view_account_invoice_filter_inherit">
            <field name="name">account.invoice.search.inherit</field>
            <field name="model">account.invoice</field>
            <field name="inherit_id" ref="account.view_account_invoice_filter"/>
            <field name="type">search</field>
            <field name="arch" type="xml">
                <field name="number" position="after">
                    <field name="order_id" string = "3P Order"/>
                    <field name="picklist_id" string = "Picklist Name"/>
                </field>
            </field>
        </record>

    	<record id="tree_account_invoice_inherit" model="ir.ui.view">
            <field name="name">account.invoice.inherit</field>
            <field name="model">account.invoice</field>
            <field name="inherit_id" ref="account.invoice_tree"/>
            <field name="priority">4</field>
            <field name="arch" type="xml">
                <field name="partner_id" position="after">
                	<field name="order_id"/>
                	<field name="picklist_id"/>
            	</field>
        	</field>
        </record>

        <record id="generate_print_action1" model="ir.actions.act_window">
            <field name='name'>Print Invoices</field>
            <field name='res_model'>account.invoice</field>
            <field name="view_id" ref="tree_account_invoice_inherit"/>
            <field name='view_type'>form</field>
            <field name='view_mode'>tree,form</field>
            <field name="search_view_id" ref="view_account_invoice_filter_inherit"/>
            
        </record>
         <menuitem action="generate_print_action1" id="menu_print_invoice_action1" parent="menu_outbound_processorder" string="Print Invoice" groups="group_outbound_user"/>
    </data>
</openerp>
